require 'rake'
require 'fwtoolkit/projectfile'

module FWToolkit
  module Rake
    class CITask < ::Rake::Task
      include ::Rake::DSL if defined?(::Rake::DSL)
      include Config
      def initialize(&block)
        yield self if block_given?
        define_task
      end


      private

      def define_task
        namespace :ci do
          desc 'Build'
          task :build => ['project:update', 'xcode:ci:testing', 'test:build', 'test:ci:frank']
        end
      end
    end
  end
end
