require 'rake'
require 'fwtoolkit/rake/tasks/config'
require 'fwtoolkit/projectfile'

module FWToolkit
  module Rake
    class ProjectTask < ::Rake::Task
      include ::Rake::DSL if defined?(::Rake::DSL)
      include Config
      def initialize(&block)
        yield self if block_given?
        define_task
      end


      private

      def define_task
        namespace :project do
          desc 'Update pods/gems and submodules'
          task :update do
            `fwt proj update`
          end
        end
      end
    end
  end
end
