require 'yaml'

class Hash

  def self.hash_from_yaml(yaml_file)
    YAML::load_file(yaml_file).symbolize! 
  end
  
  def symbolize!
    keys.each do |k|
      self[k.to_sym] = delete(k)
      self[k.to_sym].symbolize! if self[k.to_sym].is_a? Hash
    end
    self
  end 
end

